Bug 1013320 - RPM install to the wrong location
Summary: RPM install to the wrong location
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtomcrypt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 245432
Blocks: 992141
TreeView+ depends on / blocked
 
Reported: 2013-09-29 09:02 UTC by Christopher Meng
Modified: 2013-10-09 14:38 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-10-08 11:30:32 UTC


Attachments (Terms of Use)

Description Christopher Meng 2013-09-29 09:02:35 UTC
Hi,

It seems that this package in Fedora has wrong location, we should install it directly to /usr/include, but not /usr/include/tomcrypt.

Can you change the location? It caused dropbear FTBFS.

Comment 1 Michael Schwendt 2013-09-29 10:21:16 UTC
It's been like that since Fedora 7:
http://koji.fedoraproject.org/koji/rpminfo?rpmID=128136

I wonder why? It has not been required during the review process. All headers other than tomcrypt.h have a tomcrypt_ prefix, and the spec file is full of -I/usr/include/tomcrypt just to deal with it.

Comment 2 Simone Caronni 2013-09-29 11:56:05 UTC
Hello, I will change this and libtommath as well. When I inherited the package it was already specified this way.

I will change also on supported branches (el6, f18, f19, f20); I'm the mantainer of stoken as well and if I'm correct it's the only other package requiring libtommath.

# repoquery --whatrequires --verbose libtomcrypt.so.0
libtomcrypt-devel-0:1.17-20.fc19.i686
stoken-libs-0:0.2-4.fc19.i686

# repoquery --whatrequires --verbose libtommath.so.0
libtomcrypt-0:1.17-20.fc19.i686
libtommath-devel-0:0.42.0-2.fc19.i686

This way I can have the same spec file for all branches, as I'm currently doing now for these 2 packages.

Comment 3 Fedora Update System 2013-09-29 14:09:34 UTC
libtommath-0.42.0-3.fc20,libtomcrypt-1.17-21.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libtommath-0.42.0-3.fc20,libtomcrypt-1.17-21.fc20

Comment 4 Fedora Update System 2013-09-29 14:10:01 UTC
libtommath-0.42.0-3.fc19,libtomcrypt-1.17-21.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libtommath-0.42.0-3.fc19,libtomcrypt-1.17-21.fc19

Comment 5 Fedora Update System 2013-09-29 14:10:32 UTC
libtommath-0.42.0-3.fc18,libtomcrypt-1.17-21.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libtommath-0.42.0-3.fc18,libtomcrypt-1.17-21.fc18

Comment 6 Fedora Update System 2013-09-29 14:10:59 UTC
libtommath-0.42.0-3.el6,libtomcrypt-1.17-21.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libtommath-0.42.0-3.el6,libtomcrypt-1.17-21.el6

Comment 7 Michael Schwendt 2013-09-29 16:08:17 UTC
Hint: If you use repoquery to examine dependencies, rely on the default options, which includes option --alldeps. That covers also explicit deps on the package name, for example.

$ repoquery --whatrequires libtomcrypt
libtomcrypt-devel-0:1.17-20.fc20.i686
libtomcrypt-devel-0:1.17-20.fc20.x86_64
olpc-os-builder-0:7.0.1-1.fc20.x86_64
stoken-cli-0:0.2-5.fc20.x86_64
stoken-gui-0:0.2-5.fc20.x86_64
stoken-libs-0:0.2-5.fc20.i686
stoken-libs-0:0.2-5.fc20.x86_64

$ repoquery --whatrequires libtommath
libtomcrypt-0:1.17-20.fc20.i686
libtomcrypt-0:1.17-20.fc20.x86_64
libtommath-devel-0:0.42.0-2.fc20.i686
libtommath-devel-0:0.42.0-2.fc20.x86_64

Comment 8 Christopher Meng 2013-09-29 16:23:41 UTC
(In reply to Michael Schwendt from comment #7)
> Hint: If you use repoquery to examine

[cut]

What did you intend to show?

Comment 9 Michael Schwendt 2013-09-29 16:33:11 UTC
That "repoquery --whatrequires libtomcrypt" is more correct and superior to "repoquery --whatrequires --verbose libtomcrypt.so.0", because it finds more dependencies.

Comment 10 Simone Caronni 2013-09-29 17:19:21 UTC
(In reply to Michael Schwendt from comment #9)
> That "repoquery --whatrequires libtomcrypt" is more correct and superior to
> "repoquery --whatrequires --verbose libtomcrypt.so.0", because it finds more
> dependencies.

Thanks for the hint!

Comment 11 Fedora Update System 2013-09-29 18:20:04 UTC
Package libtommath-0.42.0-3.el6, libtomcrypt-1.17-21.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing libtommath-0.42.0-3.el6 libtomcrypt-1.17-21.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11718/libtommath-0.42.0-3.el6,libtomcrypt-1.17-21.el6
then log in and leave karma (feedback).

Comment 12 Christopher Meng 2013-09-30 14:19:51 UTC
Please don't push them to stable without my dropbear build test results in the next 2 weeks.

I will be completely offline from tomorrow at least lasting a week. Please be patient, thanks!

Comment 13 Simone Caronni 2013-09-30 14:55:40 UTC
Sure, no problem.

Comment 14 Fedora Update System 2013-10-08 11:30:32 UTC
libtommath-0.42.0-3.fc18, libtomcrypt-1.17-21.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-10-08 11:33:41 UTC
libtommath-0.42.0-3.fc19, libtomcrypt-1.17-21.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2013-10-08 20:36:46 UTC
libtommath-0.42.0-3.el6, libtomcrypt-1.17-21.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-10-09 14:38:59 UTC
libtommath-0.42.0-3.fc20, libtomcrypt-1.17-21.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.